import 'package:carousel_slider/carousel_slider.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:get/get.dart';
import 'package:worker_client/pages/home/widgets/home/widgets/headers.dart';

class HomePage extends StatefulWidget {
  const HomePage({Key? key}) : super(key: key);

  @override
  State<HomePage> createState() => _HomePageState();
}

class _HomePageState extends State<HomePage> {
  final List<String> imgList = [
    'https://images.unsplash.com/photo-1520342868574-5fa3804e551c?ixlib=rb-0.3.5&ixid=eyJhcHBfaWQiOjEyMDd9&s=6ff92caffcdd63681a35134a6770ed3b&auto=format&fit=crop&w=1951&q=80',
    'https://images.unsplash.com/photo-1522205408450-add114ad53fe?ixlib=rb-0.3.5&ixid=eyJhcHBfaWQiOjEyMDd9&s=368f45b0888aeb0b7b08e3a1084d3ede&auto=format&fit=crop&w=1950&q=80',
    'https://images.unsplash.com/photo-1519125323398-675f0ddb6308?ixlib=rb-0.3.5&ixid=eyJhcHBfaWQiOjEyMDd9&s=94a1e718d89ca60a6337a6008341ca50&auto=format&fit=crop&w=1950&q=80',
    'https://images.unsplash.com/photo-1523205771623-e0faa4d2813d?ixlib=rb-0.3.5&ixid=eyJhcHBfaWQiOjEyMDd9&s=89719a0d55dd05e2deae4120227e6efc&auto=format&fit=crop&w=1953&q=80',
    'https://images.unsplash.com/photo-1508704019882-f9cf40e475b4?ixlib=rb-0.3.5&ixid=eyJhcHBfaWQiOjEyMDd9&s=8c6e5e3aba713b17aa1fe71ab4f0ae5b&auto=format&fit=crop&w=1352&q=80',
    'https://images.unsplash.com/photo-1519985176271-adb1088fa94c?ixlib=rb-0.3.5&ixid=eyJhcHBfaWQiOjEyMDd9&s=a0c8d632e977f94e5d312d9893258f59&auto=format&fit=crop&w=1355&q=80'
  ];

  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: const BoxDecoration(color: Colors.white),
      padding: EdgeInsets.all(15.w),
      child: Column(
        children: [
          const headers(),
          //banner
          Container(
            margin: EdgeInsets.fromLTRB(0, 15.h, 0, 15.h),
            child: CarouselSlider(
              items: imgList
                  .map((item) => Container(
                        child: Center(
                            child: Image.network(item,
                                fit: BoxFit.cover, width: 345.w)),
                      ))
                  .toList(),
              options: CarouselOptions(
                autoPlay: true,
                enlargeCenterPage: false, //图片中心放大
                viewportFraction: 1, //每个页面应占据的视口部分。默认为 0.8，这意味着每个页面填充 80% 的轮播。
                // aspectRatio: 1.6,//纵横比
                height: 214.w,
                initialPage: 1, //初始页
              ),
            ),
          ),
          Container(
            margin: EdgeInsets.fromLTRB(0, 15.h, 0, 20.h),
            child: Row(
              children: [
                Padding(
                  padding: EdgeInsets.fromLTRB(0, 0, 10.w, 0),
                  child: Image.asset(
                    'images/index/orderList.png',
                    width: 20.w,
                  ),
                ),
                Text(
                  '作业列表',
                  style: TextStyle(
                      color: Color(0xff222222),
                      fontSize: 20.sp,
                      fontWeight: FontWeight.w800),
                )
              ],
            ),
          ),
          Container(
            margin: EdgeInsets.fromLTRB(0, 0, 0, 15.h),
            padding: EdgeInsets.all(20.w),
            width: 345.w,
            height: 90.h,
            decoration: BoxDecoration(
              color: Colors.white,
              boxShadow: [
                BoxShadow(
                    color: Color(0xE2000000),
                    offset: Offset(0, 0),
                    blurRadius: 22.w)
              ],
              borderRadius: BorderRadius.all(Radius.circular(20.w)),
            ),
            child: Stack(
              children: [
                Positioned(
                    top: -122.w,
                    left: -134.w,
                    child: Container(
                      width: 225.w,
                      height: 217.w,
                      decoration: BoxDecoration(
                        borderRadius: BorderRadius.all(Radius.circular(137.w)),
                        border: Border.all(width: 1.w,color: Color(0xFFc7c7c7),style: BorderStyle.solid),
                        gradient: LinearGradient(
                          colors: [
                            Color(0xFF8f8f8f),
                            Color(0xFFc0c0c0),
                          ],
                        ),
                      ),
                    ),
                ),

              ],
            ),
          ),
        ],
      ),
    );
  }
}
